# $Revision: 1.14 $, $Date: 2009/06/15 08:49:45 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Archive
%define		pnam	Any
Summary:	Archive::Any - Single interface to deal with zips and tarballs
Summary(pl.UTF-8):	Archive::Any - wspólny interfejs do obsługi archiwów zip i tar
Name:		perl-Archive-Any
Version:	0.0932
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Archive/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aaab5cf41f2efe428b65fbc352ee314e
URL:		http://search.cpan.org/dist/Archive-Any/
%if %{with tests}
BuildRequires:	perl-Archive-Tar >= 1.07
BuildRequires:	perl-Archive-Zip >= 1.07
BuildRequires:	perl-File-MMagic >= 1.27
BuildRequires:	perl-MIME-Types >= 1.16
BuildRequires:	perl-Module-Find >= 0.05
BuildRequires:	perl-Test-Perl-Critic
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple >= 0.40
BuildRequires:	perl-Test-Warn
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Archive-Tar >= 1.07
Requires:	perl-Archive-Zip >= 1.07
Requires:	perl-File-MMagic >= 1.27
Requires:	perl-MIME-Types >= 1.16
Requires:	perl-Module-Find >= 0.05
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a single interface for manipulating different archive
formats. Tarballs, zip files, etc...

%description -l pl.UTF-8
Ten moduł to wspólny interfejs do obrabiania archiwów w różnych
formatach: tar, zip itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Archive/Any.pm
%{perl_vendorlib}/Archive/Any
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Archive-Any.spec,v $
Revision 1.14  2009/06/15 08:49:45  amateja
- updated to 0.0932

Revision 1.13  2008/01/15 20:45:43  sls
- BR: perl-Test-Perl-Critic

Revision 1.12  2008-01-15 16:06:34  sls
- BR: perl-Test-Pod-Coverage

Revision 1.11  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.9  2006/12/22 09:43:31  qboosh
- updated to 0.093

Revision 1.8  2004/11/03 13:21:17  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/05/10 03:17:02  ankry
- BR/R fixed/simplified, rel. 3

Revision 1.6  2004/05/08 16:33:49  radek
- release 2: s/pld.org.pl/pld-linux.org/

Revision 1.5  2004/05/06 18:43:02  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.3  2004/03/09 20:13:43  adamg
- new style bconds

Revision 1.2  2003/11/01 14:07:16  qboosh
- pl, BR: perl-Class-Virtual (Class::Virtually::... is there)

Revision 1.1  2003/11/01 13:35:09  radek
- new (Makefile.PL wants Archive::Tar >= 0.22,
       but it doesn't work properly; bumped to 1.07)
